header {
  position: sticky;
  top: 0;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 5rem;
  padding-inline: var(--spacing-site-gutter);
  background-color: var(--colour-bg-page);
  border-bottom: 1px solid var(--colour-border);

  #logo {
    font-size: 1.25rem;
    font-weight: 600;
    line-height: 1.75rem;
    color: var(--colour-primary-dark);
  }

  nav {
    display: flex;
    align-items: center;
    column-gap: 2rem;

    ul {
      display: flex;
      align-items: center;
      column-gap: 2rem;

      @media (max-width: 768px) {
        display: none;
      }

      li {
        list-style: none;

        a {
          text-decoration: none;
          color: inherit;
          font-weight: 500;
          color: var(--colour-primary-dark);
          font-size: var(--font-size-body);
          line-height: var(--line-height-body);
        }
      }
    }
  }
}

#hero {
  padding-inline: var(--spacing-site-gutter);
  padding-block: 5rem;
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  column-gap: 1.25rem;
  align-items: center;

  @media (max-width: 768px) {
    grid-template-columns: 1fr;
  }

  #hero-main {
    grid-column-start: 1;
    grid-column-end: 6;

    h1 {
      margin-bottom: 1rem;
    }

    p {
      margin-bottom: 1.5rem;
    }

    #hero-cta {
      display: flex;
      align-items: center;
      column-gap: 1.5rem;

      #see-our-work-link {
        text-decoration: none;
        color: var(--colour-primary-dark);
        font-weight: 500;
        font-size: var(--font-size-body);
        line-height: var(--line-height-body);
        text-transform: uppercase;
      }
    }
  }

  #hero-image {
    grid-column-start: 7;
    grid-column-end: 13;
    width: 100%;
    height: 24.625rem;
    object-fit: cover;

    @media (max-width: 768px) {
      display: none;
    }
  }
}

#services {
  background-color: var(--colour-bg-subtle);
  padding-block: 7.5rem;
  padding-inline: var(--spacing-site-gutter);

  @media (max-width: 768px) {
    padding-block: 5rem;
  }

  h2 {
    margin-bottom: 0.5rem;
  }

  #services-header {
    text-align: center;
    margin-inline: auto;
  }

  #services-main {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.25rem;
    margin-top: 3.5rem;

    @media (max-width: 768px) {
      margin-inline: calc(var(--spacing-site-gutter) * -1);
      grid-template-columns: 1fr;
    }

    .service-card {
      background-color: var(--colour-bg-card);
      padding: 1.5rem;

      img {
        width: 100%;
        height: 17.5rem;
        object-fit: cover;
        margin-bottom: 1.5rem;
      }

      h3 {
        margin-bottom: 0.75rem;
      }
    }
  }
}

#our-work {
  padding-inline: var(--spacing-site-gutter);
  padding-block: 5rem;

  #our-work-gallery {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-auto-rows: 20rem;
    gap: 1.25rem;
    margin-top: 3rem;

    @media (max-width: 768px) {
      grid-template-columns: 1fr;
      grid-template-rows: 1fr;
      grid-auto-rows: unset;
    }

    img {
      width: 100%;
      height: 100%;
      object-fit: cover;

      @media (min-width: 769px) {
        &:first-child {
          grid-column-start: 1;
          grid-column-end: 3;
          grid-row-start: 1;
          grid-row-end: 3;
        }

        &:nth-child(2n) {
          grid-column-start: 3;
          grid-column-end: 4;
        }

        &:nth-child(2n + 1)&:not(&:first-child) {
          grid-column-start: 4;
          grid-column-end: 5;
        }
      }
    }
  }
}

#about {
  display: grid;
  grid-template-columns: repeat(2, 1fr);

  @media (max-width: 768px) {
    grid-template-columns: 1fr;
  }

  #about-image {
    position: relative;

    @media (max-width: 768px) {
      display: none;
    }

    img {
      position: absolute;
      inset: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }

  #about-main {
    padding-inline: var(--spacing-site-gutter);
    padding-block: 6rem;
    background-color: var(--colour-bg-subtle);

    @media (max-width: 768px) {
      padding-block: 5rem;
    }

    h2 {
      margin-bottom: 1.25rem;
    }
  }
}

#service-area {
  display: grid;
  grid-template-columns: repeat(2, 1fr);

  @media (max-width: 768px) {
    grid-template-columns: 1fr;
  }

  #service-area-main {
    padding-inline: var(--spacing-site-gutter);
    padding-block: 6rem;

    @media (max-width: 768px) {
      padding-block: 5rem;
    }

    h2 {
      margin-bottom: 1.25rem;
    }

    .tags {
      margin-top: 1.5rem;
    }
  }

  #service-area-map {
    width: 100%;
    height: 100%;

    @media (max-width: 768px) {
      height: 24rem;
    }
  }
}

#testimonials {
  background-color: var(--colour-bg-subtle);
  padding-inline: var(--spacing-site-gutter);
  padding-bottom: 7.5rem;
  padding-top: 6rem;

  @media (max-width: 768px) {
    padding-block: 5rem;
  }

  #testimonials-header {
    text-align: center;
    margin-inline: auto;
  }

  #testimonials-main {
    margin-top: 3.5rem;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.25rem;

    @media (max-width: 768px) {
      grid-template-columns: 1fr;
    }

    .testimonial-card {
      padding: 1.25rem;
      border-top: 2px solid var(--colour-border-strong);
      background-color: var(--colour-bg-card);

      .stars {
        color: #d4a96a;
        font-size: 1rem;
        letter-spacing: 10%;
      }

      p {
        margin-top: 0.625rem;
        padding-bottom: 1.25rem;
        margin-bottom: 1.25rem;
        border-bottom: 1px solid var(--colour-border);
      }

      .testimonial-name {
        font-size: var(--font-size-body);
        line-height: var(--line-height-body);
        color: var(--colour-primary-dark);
        display: block;
      }

      .testimonial-location {
        display: block;
        font-size: 0.75rem;
        color: var(--colour-primary);
      }
    }
  }
}

#contact {
  padding-inline: var(--spacing-site-gutter);
  padding-block: 6rem;
  background-color: #261f1a;
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  column-gap: 1.25rem;
  row-gap: 3.5rem;

  @media (max-width: 768px) {
    padding-block: 5rem;
    grid-template-columns: 1fr;
  }

  #contact-details {
    @media (min-width: 769px) {
      grid-column-start: 1;
      grid-column-end: 6;
    }

    color: var(--colour-text-on-dark);

    h2 {
      color: var(--colour-text-on-dark);
    }

    p {
      margin-top: 1rem;
      color: var(--colour-text-on-dark-muted);
    }

    ul {
      margin-top: 2rem;

      li {
        list-style: none;
        display: flex;
        align-items: center;
        column-gap: 1.25rem;
        margin-bottom: 1rem;
        font-size: var(--font-size-body);
        line-height: var(--line-height-body);
        font-weight: 500;

        &:last-child {
          margin-bottom: 0;
        }

        svg {
          fill: var(--colour-text-on-dark-muted);
        }

        a {
          text-decoration: none;
          color: var(--colour-text-on-dark);

          &:hover {
            text-decoration: underline;
          }
        }
      }
    }
  }

  form {
    background-color: var(--colour-bg-card);
    padding: 2rem;
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 1rem;
    row-gap: 1.25rem;

    @media (min-width: 769px) {
      grid-column-start: 7;
      grid-column-end: 13;

      #message-container,
      button {
        grid-column: span 2;
      }
    }

    @media (max-width: 768px) {
      grid-template-columns: 1fr;
      padding: 1.5rem;
    }

    label {
      font-size: 0.75rem;
      text-transform: uppercase;
      font-weight: 500;
      color: var(--colour-primary);
      margin-bottom: 0.625rem;
      display: inline-block;
    }

    button {
      font-family: inherit;
    }

    input,
    textarea {
      width: 100%;
      border: none;
      background-color: var(--colour-bg-subtle);
      padding-block: 0.75rem;
      padding-inline: 1rem;
      resize: none;
      font-family: inherit;
      outline-color: transparent;
      transition: outline-color 0.2s ease;

      &:focus {
        outline-color: var(--colour-border-strong);
      }
    }

    textarea {
      height: 9.375rem;
    }
  }
}

footer {
  background-color: #1c1815;
  color: var(--colour-text-on-dark);
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-inline: var(--spacing-site-gutter);
  padding-block: 1.5rem;

  span {
    color: var(--colour-text-on-dark-muted);
    font-size: 0.75rem;
  }

  #socials {
    li {
      list-style: none;
      svg {
        display: block;
        fill: var(--colour-text-on-dark);
      }
    }
  }
}
